rh._.exports({"0":[[" ","Measurement Calibration"]],"1":[[" ","Measurement Calibration"]],"2":[[" ","There are two types of calibration available in AutoVISION. These are:"," ","Simple Scale Calibration"," uses scale factors entered by the user to convert pixel measurements to real world measurements. The user enters a unique scale factor for each individual measurement tool."," ","Multi-Dot Precision Calibration"," is done using a precision calibration target to calibrate the entire field of view. This calibration applies to all measurement tools in the image to convert pixels to real world units. This method is far more accurate than simple scale calibration as it removes lens distortion. See ","Multi-Dot Calibration"," for information about how to create a calibration file."],[" ","All Measure Tool types (Width, Height, Circle, Point-to-Point, and Point-to-Line) provide a ","Simple Scale Calibration Editor"," that allows you to insert a scale value that will be applied at runtime to convert pixel measurements into real-world units. The Calibrate Editor is accessed by clicking ","Calibrate"," in the parameters section for that tool."," ","The Calibrate Editor is shown below."],[" ","This is the correction factor used to convert pixels to measured units. It is a multiplier that is applied to the pixel value. It defaults to 1, which means it will have no effect on the measurement. You may enter any value you wish. You may also use the Calculate Scale section of the dialog to determine the proper scale factor based on an actual part measurement."],[" ","The ","Calculate Scale"," section allows you to calculate the scale factor based on an actual part. To begin, you must have a \"perfect\" reference part whose dimensions are known. Take a picture of this \"perfect\" part and place your measurement tool over the known dimensions. Run the tool. Now open the dialog."," ","The ","Measured Value"," text box is automatically populated by the number of pixels currently being measured by the tool."," ","Next, enter the actual real world value for that measurement. For example, if the relevant dimension is ","2.5"," inches, enter 2.5 into the Real World Value text box. In the smaller text box to the right of the Read World Value text box, type in the units that you would like to see displayed as part of the measurement result, in this case ","in."," for inches."," ","Finally, click ","Calculate,"," and the real world value will be divided by the pixel value. The resulting scale will be entered into the ","Scale"," text box.  "],[" ","After entering a new value into the ","Scale"," text box, or calculating it, click ","Apply Scale"," to apply it to the measurement. The tool will run and you should see the updated value with your scale applied in the tool list."],[" ","The ","Reset"," button can be clicked at any time to set the scale factor back to"," 1","."],[" ","Measurement with no scale applied:"," ","Measurement after clicking ","Apply Scale",":"],[" ","Multi-dot Precision Calibration calculates transforms that will apply equally to all tools in the image to convert pixels to real world units. This method uses a multidot calibration target to calibrate the camera. This method is far more accurate than simple scale calibration because it is able to removes lens distortion. See ","Multi-Dot Calibration"," for information about how to use the Multi-Dot Calibration Utility to create a ","calibration file","."],[" ","AutoVISION allows you to load existing calibration files into the job, as well as to clear calibration from a job. You can choose either option by navigating to the ","File"," dropdown in the upper left of the AutoVISION interface and selecting ","Calibration","."," ","Load Calibration File..."," ","Selecting this option presents you with the standard file load dialog, which you can use to load any calibration file (",".cal","). The calibration data will be loaded into the current job, allowing it to start presenting measurement data in calibrated units (inches, mm, etc). A calibration file can contain either linear or non- linear calibration data, and it will also contain the units in which the camera was calibrated. The ","Camera Tool"," in the tool list will show a caliper icon to indicate that it is calibrated:"," ","After a calibration file is loaded, ","Measurement Tools"," display their measurements in calibrated units rather than pixels. A typical ","Width Measurement Tool"," would display its measurement in pixels by default as shown here:"," ","But after a calibration data file is loaded, you will see something similar to this:"," ","The distance is now displayed in microns. The unit type comes from the calibration file."," ","As discussed above, the various Measurement Tool types (Width, Height, Circle, Point-to-Point, and Point-to-Line) may already have a Simple Calibration Scale factor applied to them. If you have entered a simple scale factor for one or more of your measurement tools and then you load a calibration file into your job, you will see the following warning message:"," ","The dialog warns the user that there are values currently entered for Scale, which if left as is will be applied to measurement results on top of the Multidot Calibration. The dialog gives the user option of resetting all the scale factors in the job back to 1.0. Typically you would answer yes to clear all old scale factors. You may, however, be using the scale values as correction factors for Multidot calibration to compensate for things like part height, or known measurement offsets,  in which case you will have the option of keeping them."],[" ","The look and behavior of the ","Calibrate"," editor changes after a calibration file is loaded. The appearance of the editor button will change to the following:"," ","The title of the dialog will change from ","Calibrate"," to ","Scale","."," ","The calibrated state message will inform you that the job is calibrated via the snapshot."," ","You can still apply a correction scale if you wish to compensate for different part heights, or minor correction factors for individual measurements when the result is slightly off. The dialog will show you the scale that is currently being applied. This scale will default to 1, meaning it will have no effect on the measurement. The user can set these to any value. For example, 0.98 if reported result is too large, or 1.01 if reported result is too small."],[" ","Choosing this option will remove calibration information from the current job, returning it to a non- calibrated state. If the job was not calibrated, this option has no effect. Once calibration data has been cleared, you may notice the following:"," ","The ","Camera Tool"," will no longer display the caliper icon;"," ","All measurement values will again be displayed in pixels;"," ","The ","Calibrate"," editor in the Measurement Tools will return to its default appearance and behavior."]],"6":[[" ","Simple Scale Calibration"],[" ","Scale"],[" ","Calculate Scale Section"],[" ","Apply Scale"],[" ","Reset"],[" ","Example: Simple Scale Calibration"],[" ","Multi-Dot Precision Scale Calibration"],[" ","Loading a Calibration File"],[" ","Calibration Editor When a Calibration File is Loaded"],[" ","Clear Calibration from Job"]],"id":"181"})